Skip to content
中文

Multi-Image Reference Video Generation

Method: POSTEndpoint: /kling/v1/videos/multi-image2video

This document is not updated in real time. For the full version, see the official documentation: https://app.klingai.com/cn/dev/document-api/apiReference/model/multiImageToVideo

Request Parameters

Header Parameters

text
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}

Body Parameters application/json

text
model_name
string
Required
kling-v1-6
image_list
array
[object]
Required
Reference image. Required. Supports Base64-encoded data or image URLs in .jpg, .jpeg, or .png format. File size must not exceed 10 MB and resolution must be at least 300*300px.
image
string
Required
prompt
string
Required
Positive text prompt. Optional. Cannot exceed 500 characters.
<= 5000 characters
negative_prompt
string
Optional
Negative text prompt. Optional. Cannot exceed 200 characters.
<= 2000 characters
cfg_scale
number
Optional
Freedom level for video generation. Optional. Higher values increase relevance. Range: [0, 1].
>= 0
<= 1
mode
enum<string>
Optional
Video generation mode. Optional. Enum values: std (high performance) or pro (high quality).
Enum Values:
std
(high performance)
pro
(high quality)
duration
enum<string>
Optional
Video duration in seconds. Optional. Enum values: 5 and 10. Requests with an end frame support only 5 seconds.
Enum Values:
5
10
callback_url
string
Optional
Callback URL for the task result notification. Optional.
Example
{
"model_name"
:
"kling-v1-6"
,
"image_list"
:
[
{
"image"
:
"https://webstatic.aiproxy.vip/dist/demo.jpg"
}
,
{
"image"
:
"https://webstatic.aiproxy.vip/dist/demo.jpg"
}
]
,
"prompt"
:
"Move, then return to the original pose"
,
"mode"
:
"std"
,
"duration"
:
"5"
}

Example Request

Shell

bash
curl --location --request POST '/kling/v1/videos/multi-image2video' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "model_name": "kling-v1-6",
    "image_list": [
        {
            "image": "https://webstatic.aiproxy.vip/dist/demo.jpg"
        },
        {
            "image": "https://webstatic.aiproxy.vip/dist/demo.jpg"
        }
    ],
    "prompt": "Move, then return to the original pose",
    "mode": "std",
    "duration": "5"
}'

Response

🟢 200 Success

Content Type: application/json

Response Schema

text
code
integer
Required
Error code. See the error-code definitions for details.
message
string
Error Message
Required
request_id
string
Required
Request ID, generated by the system for tracking and troubleshooting.
data
object
Required
task_id
string
Task ID, generated by the system.
Required
task_status
enum<string>
Required
Task status. Enum values: submitted, processing, succeed, failed.
Enum Values:
submitted (submitted)
processing (in progress)
succeed (success)
failed (failure)
created_at
integer
Required
Task creation time, Unix timestamp in milliseconds.
updated_at
integer
Required
Task update time, Unix timestamp in milliseconds.

Example

json
{
    "code": 0,
    "message": "string",
    "request_id": "string",
    "data": {
        "task_id": "string",
        "task_status": "string",
        "created_at": 0,
        "updated_at": 0
    }
}